• Home
  • Help
  • Search
  • Login
  • Register
Pages: [1]
Author Topic: Anybody upgraded to Ubuntu 9.04 Final yet?  (Read 2726 times)
frankie
Newbie
*

Karma: 0
Posts: 10


View Profile
« on: April 24, 2009, 12:30:26 AM »

It seems that Ubuntu 9.04 Final Release has been published, has anybody tried "apt-get dist-upgrade" yet and how is the result?
Logged

bfmorgan
Guest
« Reply #1 on: April 24, 2009, 07:42:15 AM »

Did it yesterday after getting the reflash problem solved. I have had no difficulties.

Logged

Blazer
Newbie
*

Karma: 0
Posts: 21


View Profile
« Reply #2 on: April 26, 2009, 05:30:38 AM »

I just did as well and had no problems.

Code:
root@debian:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libxcb-xlib0
The following NEW packages will be installed:
  aptitude libc6-vfp libcap2 libclass-accessor-perl libcwidget3 libept0 libgdbm3 libio-string-perl
  libparse-debianchangelog-perl libsigc++-2.0-0c2a libtimedate-perl libxapian15 perl perl-modules python2.6
  python2.6-minimal
The following packages will be upgraded:
  libx11-6 libxcb1 ntpdate python python-minimal samba samba-common tasksel ubuntu-minimal
9 upgraded, 16 newly installed, 1 to remove and 0 not upgraded.
Need to get 25.1MB of archives.
After this operation, 61.5MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ports.ubuntu.com jaunty/main libx11-6 2:1.1.99.2-1ubuntu2 [603kB]
Get:2 http://ports.ubuntu.com jaunty/main libxcb1 1.1.93-0ubuntu3 [41.0kB]
Get:3 http://ports.ubuntu.com jaunty/main python2.6-minimal 2.6.2-0ubuntu1 [1331kB]
Get:4 http://ports.ubuntu.com jaunty/main python2.6 2.6.2-0ubuntu1 [2490kB]
Get:5 http://ports.ubuntu.com jaunty/main python 2.6.2-0ubuntu1 [141kB]
Get:6 http://ports.ubuntu.com jaunty/main python-minimal 2.6.2-0ubuntu1 [15.1kB]
Get:7 http://ports.ubuntu.com jaunty/main libc6-vfp 2.9-4ubuntu6 [1364kB]
Get:8 http://ports.ubuntu.com jaunty/main libsigc++-2.0-0c2a 2.0.18-2 [32.1kB]
Get:9 http://ports.ubuntu.com jaunty/main libcwidget3 0.5.12-4ubuntu1 [276kB]
Get:10 http://ports.ubuntu.com jaunty/main libxapian15 1.0.7-4 [740kB]
Get:11 http://ports.ubuntu.com jaunty/main libept0 0.5.26build1 [184kB]
Get:12 http://ports.ubuntu.com jaunty/main aptitude 0.4.11.11-1ubuntu1 [1464kB]
Get:13 http://ports.ubuntu.com jaunty/main libcap2 2.11-2 [11.0kB]
Get:14 http://ports.ubuntu.com jaunty/main perl-modules 5.10.0-19ubuntu1 [3182kB]
Get:15 http://ports.ubuntu.com jaunty/main libgdbm3 1.8.3-4 [22.7kB]
Get:16 http://ports.ubuntu.com jaunty/main perl 5.10.0-19ubuntu1 [4531kB]
Get:17 http://ports.ubuntu.com jaunty/main libclass-accessor-perl 0.31-2 [25.1kB]
Get:18 http://ports.ubuntu.com jaunty/main libio-string-perl 1.08-2 [12.0kB]
Get:19 http://ports.ubuntu.com jaunty/main libtimedate-perl 1.1600-9 [30.1kB]
Get:20 http://ports.ubuntu.com jaunty/main libparse-debianchangelog-perl 1.1.1-2ubuntu1 [57.6kB]
Get:21 http://ports.ubuntu.com jaunty/main ntpdate 1:4.2.4p4+dfsg-7ubuntu5 [64.4kB]
Get:22 http://ports.ubuntu.com jaunty/main tasksel 2.73ubuntu18 [67.1kB]
Get:23 http://ports.ubuntu.com jaunty/main ubuntu-minimal 1.140 [28.0kB]
Get:24 http://ports.ubuntu.com jaunty/main samba 2:3.3.2-1ubuntu3 [4460kB]
Get:25 http://ports.ubuntu.com jaunty/main samba-common 2:3.3.2-1ubuntu3 [3944kB]
Fetched 25.1MB in 21s (1184kB/s)
Preconfiguring packages ...
(Reading database ... 13073 files and directories currently installed.)
Preparing to replace libx11-6 2:1.1.5-2ubuntu2 (using .../libx11-6_2%3a1.1.99.2-1ubuntu2_armel.deb) ...
Unpacking replacement libx11-6 ...
(Reading database ... 13073 files and directories currently installed.)
Removing libxcb-xlib0 ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
(Reading database ... 13066 files and directories currently installed.)
Preparing to replace libxcb1 1.1-1.1 (using .../libxcb1_1.1.93-0ubuntu3_armel.deb) ...
Unpacking replacement libxcb1 ...
Selecting previously deselected package python2.6-minimal.
Unpacking python2.6-minimal (from .../python2.6-minimal_2.6.2-0ubuntu1_armel.deb) ...
Setting up python2.6-minimal (2.6.2-0ubuntu1) ...
Linking and byte-compiling packages for runtime python2.6...
INFO: using unknown version '/usr/bin/python2.6' (debian_defaults not up-to-date?)

Selecting previously deselected package python2.6.
(Reading database ... 13223 files and directories currently installed.)
Unpacking python2.6 (from .../python2.6_2.6.2-0ubuntu1_armel.deb) ...
Preparing to replace python 2.5.2-3ubuntu1 (using .../python_2.6.2-0ubuntu1_all.deb) ...
running python pre-rtupdate hooks for python2.6...
Unpacking replacement python ...
Preparing to replace python-minimal 2.5.2-3ubuntu1 (using .../python-minimal_2.6.2-0ubuntu1_all.deb) ...
Unpacking replacement python-minimal ...
Setting up python-minimal (2.6.2-0ubuntu1) ...
Selecting previously deselected package libc6-vfp.
(Reading database ... 13754 files and directories currently installed.)
Unpacking libc6-vfp (from .../libc6-vfp_2.9-4ubuntu6_armel.deb) ...
Selecting previously deselected package libsigc++-2.0-0c2a.
Unpacking libsigc++-2.0-0c2a (from .../libsigc++-2.0-0c2a_2.0.18-2_armel.deb) ...
Selecting previously deselected package libcwidget3.
Unpacking libcwidget3 (from .../libcwidget3_0.5.12-4ubuntu1_armel.deb) ...
Selecting previously deselected package libxapian15.
Unpacking libxapian15 (from .../libxapian15_1.0.7-4_armel.deb) ...
Selecting previously deselected package libept0.
Unpacking libept0 (from .../libept0_0.5.26build1_armel.deb) ...
Selecting previously deselected package aptitude.
Unpacking aptitude (from .../aptitude_0.4.11.11-1ubuntu1_armel.deb) ...
Selecting previously deselected package libcap2.
Unpacking libcap2 (from .../libcap2_2.11-2_armel.deb) ...
Selecting previously deselected package perl-modules.
Unpacking perl-modules (from .../perl-modules_5.10.0-19ubuntu1_all.deb) ...
Selecting previously deselected package libgdbm3.
Unpacking libgdbm3 (from .../libgdbm3_1.8.3-4_armel.deb) ...
Selecting previously deselected package perl.
Unpacking perl (from .../perl_5.10.0-19ubuntu1_armel.deb) ...
Selecting previously deselected package libclass-accessor-perl.
Unpacking libclass-accessor-perl (from .../libclass-accessor-perl_0.31-2_all.deb) ...
Selecting previously deselected package libio-string-perl.
Unpacking libio-string-perl (from .../libio-string-perl_1.08-2_all.deb) ...
Selecting previously deselected package libtimedate-perl.
Unpacking libtimedate-perl (from .../libtimedate-perl_1.1600-9_all.deb) ...
Selecting previously deselected package libparse-debianchangelog-perl.
Unpacking libparse-debianchangelog-perl (from .../libparse-debianchangelog-perl_1.1.1-2ubuntu1_all.deb) ...
Preparing to replace ntpdate 1:4.2.4p4+dfsg-7ubuntu3 (using .../ntpdate_1%3a4.2.4p4+dfsg-7ubuntu5_armel.deb) ...
Unpacking replacement ntpdate ...
Preparing to replace tasksel 2.73ubuntu13 (using .../tasksel_2.73ubuntu18_all.deb) ...
Unpacking replacement tasksel ...
Preparing to replace ubuntu-minimal 1.131 (using .../ubuntu-minimal_1.140_armel.deb) ...
Unpacking replacement ubuntu-minimal ...
Preparing to replace samba 2:3.2.5-3ubuntu1 (using .../samba_2%3a3.3.2-1ubuntu3_armel.deb) ...
 * Stopping Samba daemons
   ...done.
Unpacking replacement samba ...
Preparing to replace samba-common 2:3.2.5-3ubuntu1 (using .../samba-common_2%3a3.3.2-1ubuntu3_armel.deb) ...
Unpacking replacement samba-common ...
Setting up libxcb1 (1.1.93-0ubuntu3) ...
Setting up libx11-6 (2:1.1.99.2-1ubuntu2) ...
Setting up python2.6 (2.6.2-0ubuntu1) ...
Setting up python (2.6.2-0ubuntu1) ...
running python rtupdate hooks for python2.6...
running python post-rtupdate hooks for python2.6...
Setting up libc6-vfp (2.9-4ubuntu6) ...
Setting up libsigc++-2.0-0c2a (2.0.18-2) ...
Setting up libcwidget3 (0.5.12-4ubuntu1) ...
Setting up libxapian15 (1.0.7-4) ...
Setting up libept0 (0.5.26build1) ...
Setting up aptitude (0.4.11.11-1ubuntu1) ...
Setting up libcap2 (2.11-2) ...
Setting up libgdbm3 (1.8.3-4) ...
Setting up ntpdate (1:4.2.4p4+dfsg-7ubuntu5) ...
Setting up tasksel (2.73ubuntu18) ...
Setting up ubuntu-minimal (1.140) ...
Setting up samba-common (2:3.3.2-1ubuntu3) ...
Installing new version of config file /etc/dhcp3/dhclient-enter-hooks.d/samba ...
Setting up samba (2:3.3.2-1ubuntu3) ...
Installing new version of config file /etc/init.d/samba ...
 * Starting Samba daemons
   ...done.
Setting up perl-modules (5.10.0-19ubuntu1) ...
Setting up perl (5.10.0-19ubuntu1) ...
Setting up libclass-accessor-perl (0.31-2) ...
Setting up libio-string-perl (1.08-2) ...
Setting up libtimedate-perl (1.1600-9) ...
Setting up libparse-debianchangelog-perl (1.1.1-2ubuntu1) ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place

root@debian:~#

root@debian:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 9.04
Release:        9.04
Codename:       jaunty
Logged

Pandemonium
Newbie
*

Karma: 0
Posts: 37


View Profile
« Reply #3 on: April 26, 2009, 04:02:51 PM »

If you do it, be sure to autoremove and clean afterwards.  The upgrade leaves a lot of cruft that will just be eating up space.

Incidentally, is samba installed by default on the devices when they ship?  I noticed that it was installed after the upgrade.  Removing and purging it brought free space back down to within 10MB of where it was before the upgrade.
Logged

Pages: [1]
Print
Jump to: